# ATC: fix_modify AtC mesh create

# fix_modify AtC mesh create

## syntax

fix_modify AtC mesh create <nx> <ny> <nz> <region-id> <f|p> <f|p> <f|p>

- nx ny nz = number of elements in x, y, z
- region-id = id of region that is to be meshed
- f p p = periodicity flags for x, y, z

## examples

`fix_modify AtC mesh create 10 1 1 feRegion p p p`

## description

Creates a uniform mesh in a rectangular region

## restrictions

Creates only uniform rectangular grids in a rectangular region

## related

fix_modify AtC mesh quadrature

## default

When created, mesh defaults to gauss2 (2-point Gaussian) quadrature. Use "mesh quadrature" command to change quadrature style.